//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Katalog.cpp", Form1);
USEFORM("PridejBT.cpp", frmPridejBT);
USEFORM("PridejUT.cpp", frmPridejUT);
USEFORM("PridejOA.cpp", frmPridejOA);
USEFORM("PridejCFOA.cpp", frmPridejCFOA);
USEFORM("PridejTA.cpp", frmPridejTA);
USEFORM("ZmenitBT.cpp", frmZmenitBT);
USEFORM("frmZmenitUT.cpp", Form2);
USEFORM("ZmenitOA.cpp", frmZmenitOA);
USEFORM("ZmenitCFOA.cpp", frmZmenitCFOA);
USEFORM("ZmenitTA.cpp", frmZmenitTA);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->HelpFile = "";
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->CreateForm(__classid(TfrmPridejBT), &frmPridejBT);
                 Application->CreateForm(__classid(TfrmPridejUT), &frmPridejUT);
                 Application->CreateForm(__classid(TfrmPridejOA), &frmPridejOA);
                 Application->CreateForm(__classid(TfrmPridejCFOA), &frmPridejCFOA);
                 Application->CreateForm(__classid(TfrmPridejTA), &frmPridejTA);
                 Application->CreateForm(__classid(TfrmZmenitBT), &frmZmenitBT);
                 Application->CreateForm(__classid(TForm2), &Form2);
                 Application->CreateForm(__classid(TfrmZmenitOA), &frmZmenitOA);
                 Application->CreateForm(__classid(TfrmZmenitCFOA), &frmZmenitCFOA);
                 Application->CreateForm(__classid(TfrmZmenitTA), &frmZmenitTA);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
